Subject: bug#46808: closed (Re: bug#46808: Man page of "tail")

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 23 Feb 2022 22:37:01 +0000

Your bug report

#46808: Man page of "tail"

which was filed against the coreutils package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
46808: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=46808
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#46808: Man page of "tail"
From: Paul Eggert <[email-masked]>
To: Reuti <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Wed, 23 Feb 2022 14:36:34 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

On 2/26/21 23:32, Reuti wrote:

> I noticed some formatting issues in the man page of `tail`, and I wonder whether they are intentional as they occur at some places. They happen up to version 8.32:
> 
> line: "-c, --bytes=[+]NUM" the "[" is in italic: \fB\-c\fR, \fB\-\-bytes\fR=\fI\,[\/\fR+]NUM
> line: "-f, --follow[={name|descriptor}]" the "[=" is in bold: \fB\-f\fR, \fB\-\-follow[=\fR{name|descriptor}]
> line: "-n, --lines=[+]NUM" the "[" is "[" is in italic: \fB\-n\fR, \fB\-\-lines\fR=\fI\,[\/\fR+]NUM
> 
> I'm not a `groff` expert, but the sequence "\,some-text\/" appears a couple of times. What effect does it have for the formatting as the "," and "/" are not output?

Thanks for the bug report. Those lines are automatically generated by 
help2man, so I'm cc'ing this to [email-masked] and will close the 
coreutils bug report.

The problem is that "tail --help" outputs this:

   -c, --bytes=[+]NUM       output the last NUM bytes; or use -c +NUM to
                              output starting with byte NUM of each file
   -f, --follow[={name|descriptor}]
                            output appended data as the file grows;
                              an absent option argument means 'descriptor'
   -F                       same as --follow=name --retry
   -n, --lines=[+]NUM       output the last NUM lines, instead of the 
last 10;
                              or use -n +NUM to output starting with 
line NUM

and help2man transforms that into:

.TP
\fB\-c\fR, \fB\-\-bytes\fR=\fI\,[\/\fR+]NUM
output the last NUM bytes; or use \fB\-c\fR +NUM to
output starting with byte NUM of each file
.TP
\fB\-f\fR, \fB\-\-follow[=\fR{name|descriptor}]
output appended data as the file grows;
.IP
an absent option argument means 'descriptor'
.TP
\fB\-F\fR
same as \fB\-\-follow\fR=\fI\,name\/\fR \fB\-\-retry\fR
.TP
\fB\-n\fR, \fB\-\-lines\fR=\fI\,[\/\fR+]NUM
output the last NUM lines, instead of the last 10;
or use \fB\-n\fR +NUM to output starting with line NUM

Subject: Man page of "tail"
From: Reuti <[email-masked]>
To: [email-masked]
Date: Sat, 27 Feb 2021 08:32:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I noticed some formatting issues in the man page of `tail`, and I wonder whether they are intentional as they occur at some places. They happen up to version 8.32:

line: "-c, --bytes=[+]NUM" the "[" is in italic: \fB\-c\fR, \fB\-\-bytes\fR=\fI\,[\/\fR+]NUM
line: "-f, --follow[={name|descriptor}]" the "[=" is in bold: \fB\-f\fR, \fB\-\-follow[=\fR{name|descriptor}]
line: "-n, --lines=[+]NUM" the "[" is "[" is in italic: \fB\-n\fR, \fB\-\-lines\fR=\fI\,[\/\fR+]NUM

I'm not a `groff` expert, but the sequence "\,some-text\/" appears a couple of times. What effect does it have for the formatting as the "," and "/" are not output?

-- Reuti